/**
 * 全局混入
 */
import DevicePixelRatio from '@/components/DevicePixelRatio'; //放大缩小适配
export default {
  component: {
    DevicePixelRatio
  },
  created() {
    new DevicePixelRatio().init()
  },
  /**
   * 全局方法
   */
  methods: {
    /**
     * 跳转页面(通过name)
     * @param name 路由name
     * @param data 参数(默认空)
     */
    toPage(name, data = {}) {
      const query = Object.assign({}, data, {
        t: +new Date()
      })
      this.$router.push({
        name: name,
        query: query
      })
    },
    /**
     * 页面跳转(返回上一页面)
     */
    backPage() {
      this.$router.back(-1)
    },
  }
}
